clang 8.0.0

Static Public Member Functions | Public Attributes | List of all members
clang::IdentifierLoc Struct Reference

Wraps an identifier and optional source location for the identifier. More...

`#include "clang/Sema/ParsedAttr.h"`

Collaboration diagram for clang::IdentifierLoc:
[legend]

## Static Public Member Functions
static IdentifierLoc * | create (ASTContext &Ctx, SourceLocation Loc, IdentifierInfo *Ident)

## Public Attributes
SourceLocation | Loc
IdentifierInfo * | Ident

## Detailed Description

Wraps an identifier and optional source location for the identifier.

Definition at line 95 of file ParsedAttr.h.

## Member Function Documentation

## ◆ create()

IdentifierLoc * IdentifierLoc::create | ( | ASTContext & | Ctx,
|  | SourceLocation | Loc,
|  | IdentifierInfo * | Ident
| ) |  |
| static

Definition at line 29 of file ParsedAttr.cpp.

References clang::AttributeFactory::AvailabilityAllocSize, Ident, Loc, clang::AttributeFactory::PropertyAllocSize, clang::Result, and clang::AttributeFactory::TypeTagForDatatypeAllocSize.

Referenced by attributeParsedArgsUnevaluated(), and PragmaLoopHintString().

## Member Data Documentation

## ◆ Ident

IdentifierInfo* clang::IdentifierLoc::Ident

Definition at line 97 of file ParsedAttr.h.

Referenced by CheckAvailabilitySpecList(), clang::Sema::checkStringLiteralArgumentAttr(), create(), getCCTypeAttr(), HandleAddressSpaceTypeAttribute(), HandleExtVectorTypeAttr(), handleObjCGCTypeAttr(), handleObjCOwnershipTypeAttr(), HandleVectorSizeAttr(), transferARCOwnershipToDeclaratorChunk(), and VersionNumberSeparator().

## ◆ Loc

SourceLocation clang::IdentifierLoc::Loc

Definition at line 96 of file ParsedAttr.h.

Referenced by CheckAvailabilitySpecList(), clang::Sema::checkStringLiteralArgumentAttr(), create(), and transferARCOwnershipToDeclaratorChunk().

The documentation for this struct was generated from the following files:

- include/clang/Sema/ParsedAttr.h
- lib/Sema/ParsedAttr.cpp